Upsert Service Charges

post

/config/sim/v2/sales/upsertServiceCharges

Updates the provided fields when the Service Charge exists; otherwise, creates a new Service Charge.

Request

Supported Media Types
Header Parameters
Body ()
Request body for partially updating an existing Service Charge or creating a new one.
Root Schema : schema
Type: object
Model for Service Charge upsert. Omitted fields are retained when updating an existing Service Charge.
Show Source
Nested Schema : consumerDisplayname
Type: object
Consumer display name in configured languages.
Example:
{
    "1":"Enterprise",
    "2":"Unternehmen",
    "3":"Empresa"
}
Nested Schema : dataExtensions
Type: array
Array of data extensions.
Show Source
Nested Schema : menuLevels
Type: object
Menu levels on which the Service Charge is active.
Show Source
  • Bit string of length 8 representing enabled main menu levels.
    Example: 00000010
  • Bit string of length 8 representing enabled sub menu levels.
    Example: 00000010
Nested Schema : name
Type: object
Service Charge name. Required when the upsert creates a new Service Charge.
Example:
{
    "1":"Enterprise",
    "2":"Unternehmen",
    "3":"Empresa"
}
Nested Schema : items
Type: object
Show Source
Back to Top

Response

Supported Media Types

200 Response

Service Charge entity Updated.
Body ()
Root Schema : schema
Type: object
Show Source

201 Response

Service Charge entity Added.
Body ()
Root Schema : schema
Type: object
Show Source
Back to Top